package cn.iocoder.yudao.module.llm.dal.mysql.prompttemplatestags;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.llm.dal.dataobject.prompttemplatestags.PromptTemplatesTagsDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.llm.controller.admin.prompttemplatestags.vo.*;

/**
 * Prompt 模板标签关系表，记录模板和标签之间的多对多关系 Mapper
 *
 * @author 华大大模型
 */
@Mapper
public interface PromptTemplatesTagsMapper extends BaseMapperX<PromptTemplatesTagsDO> {

    default PageResult<PromptTemplatesTagsDO> selectPage(PromptTemplatesTagsPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<PromptTemplatesTagsDO>()
                .eqIfPresent(PromptTemplatesTagsDO::getPromptTemplateId, reqVO.getPromptTemplateId())
                .eqIfPresent(PromptTemplatesTagsDO::getTagId, reqVO.getTagId())
                .betweenIfPresent(PromptTemplatesTagsDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(PromptTemplatesTagsDO::getId));
    }

}
